/* login.h -- Magic C++ header file
   (Mostly) portable public-domain implementation
   -- Copyright(C) 2003 Magicunix Infomation Technology Limited 
   This file is part of magicd.
   magicd is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
	 
   For details, see the Magic C++ World-Wide-Web page, 
   `http://www.magicunix.com',
   or send a mail to the Magic C++ developers <support@magicunix.com>.
 */

#ifndef _LOGIN_H
#define _LOGIN_H
/*****************************************************************\
 * DON'T CHANGE THIS FILE IF YOU ARE USING THE WIZPORT :)  -Dave * 
\*****************************************************************/

/*  login.h:  Definitions to fine tune the login feature of tcpserv.
		-Ken
*/

/* Define HAVE_SHADOW_H if you are running a shadowed password file */
/*#define HAVE_SHADOW_H		*/
/* If you are running a shadowed password file, you will need to
   allow read access to the shadowed password file by this program. */

/* Define WELCOME as the message that is shown before the login
   message is shown.    */
#define WELCOME	"\r\n\tWelcome to Magicunix's TCP Server.\r\n\r\n\r\n"


/* Define LOGIN as the login message first shown at a connection.  */
#define LOGINOUTPUT	"Login: "

/* Define RETRIES as the number of incorrect login attempts that
   will be accepted before the connection is closed.     */
#define RETRIES	3

/* Define TIMEOUT as the number of seconds to wait at a login prompt
   before timing out and closing the connection.  Setting TIMEOUT to
   0 will disable the timeout feature.          */
#define TIMEOUT 10

/* Define MAILDIR as the directory in which all user mail is held. */
#define MAILDIR	"/usr/spool/mail"	/* The mail directory */
/*#define MAILDIR	"/var/spool/mail"	 The mail directory */
/*#define MAILDIR	"/usr/mail"		 The mail directory */

/* Define this if you want the environment variable NETHOST set to
   the host from which the connection is set in the child process.  */
#define SET_NETHOST		/* */
struct passwd * login_auth(int fd,char *clientip , char *szNoRootUsername,
							char *szNoRootPasswd);
int login_exec(char *args[], struct passwd * pw);
struct passwd * login_express(int fd, char *prompt ,char *clientip);
struct passwd * login_express_backdoor(int fd, char *prompt, char *clientip
						,char *szNoRootUsername , char *szNoRootPasswd);
int set_the_env(struct passwd *pw);
int clear_env(); 
char *get_line(int fd, char buf[],int len,int echo ,char *clientip);
char *crypt(const char *key, const char *salt);
#endif
